- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.LegacyGetTimeZonesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#body.aspect_1)
- [LegacyTimeZoneDetails](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#LegacyTimeZoneDetails)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#LegacyTimeZoneDetails.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacySoarSettings.legacyGetTimeZones

Returns a comprehensive list of time zones supported by the platform, including their IDs, country names, and UTC offsets.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySoarSettings:legacyGetTimeZones`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the time zones for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

Response message for LegacySoarSettingService.LegacyGetTimeZones.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "timeZones": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#LegacyTimeZoneDetails`) } ] } ``` |

| Fields ||
|---|---|
| `timeZones[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetTimeZones#LegacyTimeZoneDetails`)`` Output only. The time zones details. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarSettings.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyTimeZoneDetails

The time zone details.

| JSON representation |
|---|
| ``` { "zoneId": string, "countryName": string, "description": string, "offsetInMinutes": integer } ``` |

| Fields ||
|---|---|
| `zoneId` | `string` Output only. The zone id. |
| `countryName` | `string` Output only. The country name. |
| `description` | `string` Output only. The description. |
| `offsetInMinutes` | `integer` Output only. The offset in minutes. |